{
  "name": "liljudd-website",
  "type": "module",
  "scripts": {
    "dev": "vinxi dev",
    "build": "vinxi build",
    "start": "vinxi start",
    "lint": "eslint --fix \"**/*.{ts,tsx,js,jsx}\"",
    "push": "drizzle-kit push:pg",
    "discord-openapi-gen": "pnpm openapi-typescript https://raw.githubusercontent.com/discord/discord-api-spec/main/specs/openapi.json -o ./src/types/discord.d.ts",
    "liljudd-openapi-gen": "pnpm openapi-typescript ./public/api/specs/liljudd.json -o ./src/types/liljudd.d.ts",
    "typecheck": "tsc --noEmit --checkJs false --skipLibCheck"
  },
  "dependencies": {
    "@auth/core": "^0.19.0",
    "@auth/drizzle-adapter": "^0.3.12",
    "@auth/solid-start": "0.1.2",
    "@fortawesome/fontawesome-svg-core": "^6.5.1",
    "@fortawesome/pro-duotone-svg-icons": "^6.5.1",
    "@fortawesome/pro-light-svg-icons": "^6.5.1",
    "@fortawesome/pro-regular-svg-icons": "^6.5.1",
    "@fortawesome/pro-solid-svg-icons": "^6.5.1",
    "@fortawesome/pro-thin-svg-icons": "^6.5.1",
    "@fortawesome/sharp-solid-svg-icons": "^6.5.1",
    "@solidjs/meta": "^0.29.2",
    "@solidjs/router": "^0.10.9",
    "@solidjs/start": "^0.4.9",
    "drizzle-orm": "^0.29.2",
    "moment-timezone": "^0.5.44",
    "openapi-fetch": "^0.8.2",
    "postgres": "^3.4.3",
    "solid-js": "^1.8.11",
    "vinxi": "^0.1.2"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^6.17.0",
    "dotenv": "^16.3.1",
    "drizzle-kit": "^0.20.9",
    "drizzle-zod": "^0.5.1",
    "eslint": "^8.56.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-solid": "^0.13.1",
    "openapi-typescript": "^6.7.3",
    "pg": "^8.11.3",
    "prettier": "^3.1.1",
    "prettier-plugin-organize-imports": "^3.2.4",
    "sass": "^1.69.6",
    "typescript": "^5.3.3",
    "zod": "3.22.4"
  },
  "engines": {
    "node": ">=18"
  }
}
